[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# DynArrayToVariant

Convert a Dynamic Array To a Variant

## Declaration

Source position: variants.pp line 146

`procedure DynArrayToVariant(`
`var V: Variant;`
`const DynArray: Pointer;`
`TypeInfo: Pointer`
`);`

## Arguments

`V` |  | Resulting variant array
`DynArray` |  | Dynamic array to convert
`TypeInfo` |  | Type information for the array

## Description

DynArrayToVariant converts the dynamic array DynArray to a variant array V. It uses the type information in TypeInfo to calculate the number of dimensions, array lengths and type of the element. The dynamic array can only contain basic types.

If there is no data, an empty variant will be returned.

The opposite transformation can be performed with DynArrayFromVariant.

## See also

VarArrayCreateError |  | Raise an EVariantArrayCreateError error
VarArrayCreate |  | Create a variant array
VarArrayOf |  | Create a variants array of a series of values
DynArrayFromVariant |  | Convert a variant to a dynamic arrayt